PUT
https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/policies/{admPolicyId}
curl -X PUT "https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/policies/{admPolicyId}" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "Corporate Security Policy - iOS",
"profiles": [
"698f42e5457fafa13d088794",
"698f42e5457fafa13d088795"
],
"applications": [
{
"admApplication": "698f42e5457fafa13d088794",
"managed": true,
"managementFlags": 5,
"vpp": true,
"iOSApp": true,
"configuration": {},
"action": "forceInstall",
"actionStatus": "forceInstall",
"scripts": {},
"updatePolicy": {}
}
],
"books": [
{
"type": "asset",
"id": "698f42e5457fafa13d088794"
}
],
"scripts": [
{
"type": "loop",
"id": "698f42e5457fafa13d088794",
"loopTime": 3600,
"arguments": "--verbose --check-compliance",
"name": "Security Compliance Check",
"description": "Validates device security posture against organizational standards",
"runner": "bash"
}
],
"bookmarks": [
{
"title": "Employee Portal",
"description": "Internal employee self-service portal",
"url": "https://portal.company.com",
"iconBase64": "",
"iconUrl": "https://portal.company.com/icon.png"
}
],
"assets": [
{
"mdmAssetId": "698f41b2457fafa13d088793",
"location": "/Library/Application Support/Company/config.json",
"assetName": "App Configuration",
"scope": "system"
}
],
"agentConfiguration": {
"allowLocation": true,
"allowLocationMacos": true,
"allowPackageTime": true,
"allowPackageTimeIos": true,
"allowPackageTransfer": true,
"allowPackageTransferIos": true,
"allowDeviceInfoBatteryUsage": true,
"allowDeviceInfoBluetooth": true,
"allowDeviceInfoSystemInfo": true,
"allowDeviceInfoBatteryUsageIos": true,
"allowDeviceInfoBluetoothIos": true,
"allowDeviceInfoSystemInfoIos": true,
"allowNetworkStatusMacos": true,
"allowNetworkStatusIos": true,
"appBlacklist": [],
"policyFeatures": {}
},
"segmentId": "1",
"exposeToChildren": true
}'const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/policies/{admPolicyId}", {
method: "PUT",
headers: {
Authorization: "Bearer <YOUR_API_KEY>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"name": "Corporate Security Policy - iOS",
"profiles": [
"698f42e5457fafa13d088794",
"698f42e5457fafa13d088795"
],
"applications": [
{
"admApplication": "698f42e5457fafa13d088794",
"managed": true,
"managementFlags": 5,
"vpp": true,
"iOSApp": true,
"configuration": {},
"action": "forceInstall",
"actionStatus": "forceInstall",
"scripts": {},
"updatePolicy": {}
}
],
"books": [
{
"type": "asset",
"id": "698f42e5457fafa13d088794"
}
],
"scripts": [
{
"type": "loop",
"id": "698f42e5457fafa13d088794",
"loopTime": 3600,
"arguments": "--verbose --check-compliance",
"name": "Security Compliance Check",
"description": "Validates device security posture against organizational standards",
"runner": "bash"
}
],
"bookmarks": [
{
"title": "Employee Portal",
"description": "Internal employee self-service portal",
"url": "https://portal.company.com",
"iconBase64": "",
"iconUrl": "https://portal.company.com/icon.png"
}
],
"assets": [
{
"mdmAssetId": "698f41b2457fafa13d088793",
"location": "/Library/Application Support/Company/config.json",
"assetName": "App Configuration",
"scope": "system"
}
],
"agentConfiguration": {
"allowLocation": true,
"allowLocationMacos": true,
"allowPackageTime": true,
"allowPackageTimeIos": true,
"allowPackageTransfer": true,
"allowPackageTransferIos": true,
"allowDeviceInfoBatteryUsage": true,
"allowDeviceInfoBluetooth": true,
"allowDeviceInfoSystemInfo": true,
"allowDeviceInfoBatteryUsageIos": true,
"allowDeviceInfoBluetoothIos": true,
"allowDeviceInfoSystemInfoIos": true,
"allowNetworkStatusMacos": true,
"allowNetworkStatusIos": true,
"appBlacklist": [],
"policyFeatures": {}
},
"segmentId": "1",
"exposeToChildren": true
}),
});
const data = await response.json();import requests
response = requests.put(
"https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/policies/{admPolicyId}",
headers={"Authorization": "Bearer <YOUR_API_KEY>"},
json={
"name": "Corporate Security Policy - iOS",
"profiles": [
"698f42e5457fafa13d088794",
"698f42e5457fafa13d088795"
],
"applications": [
{
"admApplication": "698f42e5457fafa13d088794",
"managed": true,
"managementFlags": 5,
"vpp": true,
"iOSApp": true,
"configuration": {},
"action": "forceInstall",
"actionStatus": "forceInstall",
"scripts": {},
"updatePolicy": {}
}
],
"books": [
{
"type": "asset",
"id": "698f42e5457fafa13d088794"
}
],
"scripts": [
{
"type": "loop",
"id": "698f42e5457fafa13d088794",
"loopTime": 3600,
"arguments": "--verbose --check-compliance",
"name": "Security Compliance Check",
"description": "Validates device security posture against organizational standards",
"runner": "bash"
}
],
"bookmarks": [
{
"title": "Employee Portal",
"description": "Internal employee self-service portal",
"url": "https://portal.company.com",
"iconBase64": "",
"iconUrl": "https://portal.company.com/icon.png"
}
],
"assets": [
{
"mdmAssetId": "698f41b2457fafa13d088793",
"location": "/Library/Application Support/Company/config.json",
"assetName": "App Configuration",
"scope": "system"
}
],
"agentConfiguration": {
"allowLocation": true,
"allowLocationMacos": true,
"allowPackageTime": true,
"allowPackageTimeIos": true,
"allowPackageTransfer": true,
"allowPackageTransferIos": true,
"allowDeviceInfoBatteryUsage": true,
"allowDeviceInfoBluetooth": true,
"allowDeviceInfoSystemInfo": true,
"allowDeviceInfoBatteryUsageIos": true,
"allowDeviceInfoBluetoothIos": true,
"allowDeviceInfoSystemInfoIos": true,
"allowNetworkStatusMacos": true,
"allowNetworkStatusIos": true,
"appBlacklist": [],
"policyFeatures": {}
},
"segmentId": "1",
"exposeToChildren": true
},
)
data = response.json()Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
admPolicyId
string
required
Body Params
application/json
name
string
optional
profiles
array [string]
optional
applications
array [object]
optional
admApplication
string
required
managed
boolean
optional
managementFlags
number
optional
vpp
boolean
optional
iOSApp
boolean
optional
configuration
object
optional
action
string
optional
actionStatus
string
optional
scripts
object
optional
preInstall
string
optional
postInstall
string
optional
audit
string
optional
enforce
string
optional
runner
string
optional
updatePolicy
object
optional
books
array [object]
optional
type
string
optional
id
string
optional
scripts
array [object]
optional
id
string
optional
type
string
optional
loopTime
integer
optional
resetDate
string
optional
arguments
string
optional
argumentsProcessed
string
optional
name
string
optional
description
string
optional
runner
string
optional
scope
string
optional
bookmarks
array [object]
optional
title
string
optional
description
string
optional
url
string
optional
iconBase64
string
optional
iconUrl
string
optional
assets
array [object]
optional
mdmAssetId
string
optional
location
string
optional
assetName
string
optional
scope
string
optional
agentConfiguration
object
optional
allowLocation
boolean
optional
allowLocationMacos
boolean
optional
allowPackageTime
boolean
optional
allowPackageTimeIos
boolean
optional
allowPackageTransfer
boolean
optional
allowPackageTransferIos
boolean
optional
allowDeviceInfoBatteryUsage
boolean
optional
allowDeviceInfoBluetooth
boolean
optional
allowDeviceInfoSystemInfo
boolean
optional
allowDeviceInfoBatteryUsageIos
boolean
optional
allowDeviceInfoBluetoothIos
boolean
optional
allowDeviceInfoSystemInfoIos
boolean
optional
allowNetworkStatusMacos
boolean
optional
allowNetworkStatusIos
boolean
optional
appBlacklist
array [object]
optional
bundleId
string
optional
action
string
optional
policyFeatures
object
optional
ios
object
optional
macos
object
optional
segmentId
number
optional
exposeToChildren
boolean
optional
{
"name": "Corporate Security Policy - iOS",
"profiles": [
"698f42e5457fafa13d088794",
"698f42e5457fafa13d088795"
],
"applications": [
{
"admApplication": "698f42e5457fafa13d088794",
"managed": true,
"managementFlags": 5,
"vpp": true,
"iOSApp": true,
"configuration": {},
"action": "forceInstall",
"actionStatus": "forceInstall",
"scripts": {},
"updatePolicy": {}
}
],
"books": [
{
"type": "asset",
"id": "698f42e5457fafa13d088794"
}
],
"scripts": [
{
"type": "loop",
"id": "698f42e5457fafa13d088794",
"loopTime": 3600,
"arguments": "--verbose --check-compliance",
"name": "Security Compliance Check",
"description": "Validates device security posture against organizational standards",
"runner": "bash"
}
],
"bookmarks": [
{
"title": "Employee Portal",
"description": "Internal employee self-service portal",
"url": "https://portal.company.com",
"iconBase64": "",
"iconUrl": "https://portal.company.com/icon.png"
}
],
"assets": [
{
"mdmAssetId": "698f41b2457fafa13d088793",
"location": "/Library/Application Support/Company/config.json",
"assetName": "App Configuration",
"scope": "system"
}
],
"agentConfiguration": {
"allowLocation": true,
"allowLocationMacos": true,
"allowPackageTime": true,
"allowPackageTimeIos": true,
"allowPackageTransfer": true,
"allowPackageTransferIos": true,
"allowDeviceInfoBatteryUsage": true,
"allowDeviceInfoBluetooth": true,
"allowDeviceInfoSystemInfo": true,
"allowDeviceInfoBatteryUsageIos": true,
"allowDeviceInfoBluetoothIos": true,
"allowDeviceInfoSystemInfoIos": true,
"allowNetworkStatusMacos": true,
"allowNetworkStatusIos": true,
"appBlacklist": [
{
"bundleId": "com.example.unauthorized",
"action": "block"
}
],
"policyFeatures": {
"ios": {
"defaultViewFeature": "applications",
"toggledFeatures": [
{
"name": "applications",
"active": true
}
],
"enableDefaultView": true
},
"macos": {
"defaultViewFeature": "applications",
"toggledFeatures": [
{
"name": "applications",
"active": true
}
],
"enableDefaultView": true
}
}
},
"segmentId": "1",
"exposeToChildren": true
}
Responses
200 Response
application/json
status
boolean
optional
data
object
optional
id
string
optional
organization
string
optional
admEnterprise
string
optional
targetType
string
optional
attachedProfile
object
optional
name
string
optional
profiles
array [object]
optional
id
string
optional
organization
string
optional
admEnterprise
string
optional
admPolicy
string
optional
targetType
string
optional
name
string
optional
config
object
optional
certificates
array [object]
optional
type
string
optional
UUID
string
optional
version
integer
optional
updatedAt
string
optional
createdAt
string
optional
assignedTo
object
optional
useCustomFileVaultCertificates
boolean
optional
parentAdmProfileId
string
optional
applications
array [object]
optional
admApplication
string
required
managed
boolean
optional
managementFlags
number
optional
vpp
boolean
optional
iOSApp
boolean
optional
configuration
object
optional
action
string
optional
actionStatus
string
optional
scripts
object
optional
updatePolicy
object
optional
applicationsInfo
array [object]
optional
books
array [object]
optional
type
string
optional
id
string
optional
booksInfo
array [object]
optional
scripts
array [object]
optional
id
string
optional
type
string
optional
loopTime
integer
optional
resetDate
string
optional
arguments
string
optional
argumentsProcessed
string
optional
name
string
optional
description
string
optional
runner
string
optional
scope
string
optional
scriptsInfo
array [object]
optional
bookmarks
array [object]
optional
title
string
optional
description
string
optional
url
string
optional
iconBase64
string
optional
iconUrl
string
optional
assets
array [object]
optional
mdmAssetId
string
optional
location
string
optional
assetName
string
optional
scope
string
optional
assetsInfo
array [object]
optional
version
integer
optional
updatedAt
string
optional
createdAt
string
optional
agentConfiguration
object
optional
allowLocation
boolean
optional
allowLocationMacos
boolean
optional
allowPackageTime
boolean
optional
allowPackageTimeIos
boolean
optional
allowPackageTransfer
boolean
optional
allowPackageTransferIos
boolean
optional
allowDeviceInfoBatteryUsage
boolean
optional
allowDeviceInfoBluetooth
boolean
optional
allowDeviceInfoSystemInfo
boolean
optional
allowDeviceInfoBatteryUsageIos
boolean
optional
allowDeviceInfoBluetoothIos
boolean
optional
allowDeviceInfoSystemInfoIos
boolean
optional
allowNetworkStatusMacos
boolean
optional
allowNetworkStatusIos
boolean
optional
appBlacklist
array [object]
optional
policyFeatures
object
optional
segmentId
integer
optional
exposeToChildren
boolean
optional
{
"status": true,
"data": {
"id": "698f41b2457fafa13d088793",
"organization": "598f469d457fafa13d088795",
"admEnterprise": "698f42e5457fafa13d088794",
"targetType": "device",
"attachedProfile": {},
"name": "Corporate Security Policy - iOS",
"profiles": [
{
"id": "string",
"organization": "string",
"admEnterprise": "string",
"admPolicy": "string",
"targetType": "device",
"name": "string",
"config": {},
"certificates": [
{
"mdmAssetId": "string",
"format": {
"uuid": "uuid",
"base64": "base64"
},
"location": "string",
"password": "string",
"allowAllAppsAccess": true,
"keyIsExtractable": true
}
],
"type": "attached",
"UUID": "string",
"version": 0,
"updatedAt": "2024-01-01T00: 00:00Z",
"createdAt": "2024-01-01T00: 00:00Z",
"assignedTo": {
"policies": [
{
"id": "string",
"name": "string"
}
],
"devices": [
{
"id": "string",
"displayName": "string"
}
]
},
"useCustomFileVaultCertificates": true,
"parentAdmProfileId": "string"
}
],
"applications": [
{
"admApplication": "698f42e5457fafa13d088794",
"managed": true,
"managementFlags": 5,
"vpp": true,
"iOSApp": true,
"configuration": {},
"action": "forceInstall",
"actionStatus": "forceInstall",
"scripts": {},
"updatePolicy": {}
}
],
"applicationsInfo": [
{}
],
"books": [
{
"type": "asset",
"id": "698f42e5457fafa13d088794"
}
],
"booksInfo": [
{}
],
"scripts": [
{
"type": "loop",
"id": "698f42e5457fafa13d088794",
"loopTime": 3600,
"arguments": "--verbose --check-compliance",
"name": "Security Compliance Check",
"description": "Validates device security posture against organizational standards",
"runner": "bash"
}
],
"scriptsInfo": [
{}
],
"bookmarks": [
{
"title": "Employee Portal",
"description": "Internal employee self-service portal",
"url": "https://portal.company.com",
"iconBase64": "",
"iconUrl": "https://portal.company.com/icon.png"
}
],
"assets": [
{
"mdmAssetId": "698f41b2457fafa13d088793",
"location": "/Library/Application Support/Company/config.json",
"assetName": "App Configuration",
"scope": "system"
}
],
"assetsInfo": [
{}
],
"version": 3,
"updatedAt": "2026-02-13T14: 30:00Z",
"createdAt": "2026-02-13T10: 00:00Z",
"agentConfiguration": {
"allowLocation": true,
"allowLocationMacos": true,
"allowPackageTime": true,
"allowPackageTimeIos": true,
"allowPackageTransfer": true,
"allowPackageTransferIos": true,
"allowDeviceInfoBatteryUsage": true,
"allowDeviceInfoBluetooth": true,
"allowDeviceInfoSystemInfo": true,
"allowDeviceInfoBatteryUsageIos": true,
"allowDeviceInfoBluetoothIos": true,
"allowDeviceInfoSystemInfoIos": true,
"allowNetworkStatusMacos": true,
"allowNetworkStatusIos": true,
"appBlacklist": [
{
"bundleId": "com.example.unauthorized",
"action": "block"
}
],
"policyFeatures": {
"ios": {
"defaultViewFeature": "applications",
"toggledFeatures": [
{
"name": "applications",
"active": true
}
],
"enableDefaultView": true
},
"macos": {
"defaultViewFeature": "applications",
"toggledFeatures": [
{
"name": "applications",
"active": true
}
],
"enableDefaultView": true
}
}
},
"segmentId": "1",
"exposeToChildren": true
}
}
400 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 5086,
"message": "Attached adm profiles can not be added"
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}